BSDE_RULE_TO_STRING(3)

NAME
bsde_rule_to_string - convert a ugidfw rule into its text representation

LIBRARY
libugidfw

SYNOPSIS
#include <ugidfw.h>
int
bsde_rule_to_string(struct mac_bsdextended_rule *rule, char *buf, size_t buflen);

DESCRIPTION
The bsde_rule_to_string() function converts a rule in its internal representation (struct mac_bsdextended_rule) into its text representation, and writes up to buflen bytes of it to buf (including the terminating NUL).

RETURN VALUES
The bsde_rule_to_string() function returns -1 if the conversion was truncated; otherwise the value 0 is returned.

SEE ALSO
bsde_delete_rule(3), bsde_get_rule(3), bsde_get_rule_count(3), bsde_get_rule_slots(3), bsde_parse_rule(3), bsde_parse_rule_string(3), bsde_set_rule(3), libugidfw(3), mac_bsdextended(4), ugidfw(8)

AUTHORS
This software was contributed to the FreeBSD Project by Network Associates Labs, the Security Research Division of Network Associates Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.